# Laravel elixir underscore templates

## Get Started

Install elixir module
	
	npm i git+git@github.com:Necronru/laravel-elixir-underscore-templates.git

Include your gulpfile.js
	
```node
elixir = require('laravel-elixir')
require('laravel-elixir-underscore-templates')

elixir(function(mix) {

	// ...

	mix.templates([
    	'templates/**/*.html'
    ], 'public/assets/js', 'templates.js');

})
```

## Options

- elixir.config.underscoreTemplates.taskName = 'templates',
- elixir.config.underscoreTemplates.defaultFilename = 'templates.js',
- elixir.config.underscoreTemplates.namespace = 'JST',
- elixir.config.underscoreTemplates.templateSettings = null
